#!/usr/bin/env zsh

#BSUB -o HW8.%J
#BSUB -J HEAT
#BSUB -W 1:00
#BSUB -M 100
#
#BSUB -x
#BSUB -n 8
#BSUB -a "openmp"

for n in 100 500 1000
do
    echo "Running for n = $n"
    echo

    for nths in 1 2 4 8
    do
        export OMP_NUM_THREADS=$nths; ./HW8.x $n
    done

    echo
done
